diff mbox

[ndctl] ndctl, firmware: fix kernel version check

Message ID 151824022875.4967.15665172528794072137.stgit@dwillia2-desk3.amr.corp.intel.com (mailing list archive)
State Accepted
Commit 2e00e6a17353
Headers show

Commit Message

Dan Williams Feb. 10, 2018, 5:23 a.m. UTC
The firmware update passes when it should skip due to a misplaced
newline.

Cc: Dave Jiang <dave.jiang@intel.com>
Signed-off-by: Dan Williams <dan.j.williams@intel.com>
---
 test/firmware-update.sh |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)
diff mbox

Patch

diff --git a/test/firmware-update.sh b/test/firmware-update.sh
index 79767d2dc41f..0d5bcdb3cc42 100755
--- a/test/firmware-update.sh
+++ b/test/firmware-update.sh
@@ -53,8 +53,7 @@  do_tests()
 	$ndctl update-firmware -d $dev -f $image
 }
 
-check_min_kver "4.16" || { echo "kernel $KVER may lack firmware update test handling"; exit
-$rc; }
+check_min_kver "4.16" || { echo "kernel $KVER may lack firmware update test handling"; exit $rc; }
 modprobe nfit_test
 rc=1
 reset